OpenVDB 12.1.0

Loading...
Searching...
No Matches
GT_GEOPrimCollectVDB Class Reference

`#include <openvdb_houdini/GT_GEOPrimCollectVDB.h>`

Inheritance diagram for GT_GEOPrimCollectVDB:

## Public Member Functions
| GT_GEOPrimCollectVDB (const GA_PrimitiveTypeId &id)
virtual | ~GT_GEOPrimCollectVDB ()
virtual GT_GEOPrimCollectData * | beginCollecting (const GT_GEODetailListHandle &, const GT_RefineParms *) const
virtual GT_PrimitiveHandle | collect (const GT_GEODetailListHandle &geometry, const GEO_Primitive *const *prim_list, int nsegments, GT_GEOPrimCollectData *data) const
virtual GT_PrimitiveHandle | endCollecting (const GT_GEODetailListHandle &geometry, GT_GEOPrimCollectData *data) const

## Static Public Member Functions
static void | registerPrimitive (const GA_PrimitiveTypeId &id)

## Constructor & Destructor Documentation

## ◆ GT_GEOPrimCollectVDB()

GT_GEOPrimCollectVDB | ( | const GA_PrimitiveTypeId & | id | ) |

## ◆ ~GT_GEOPrimCollectVDB()

virtual ~GT_GEOPrimCollectVDB | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ beginCollecting()

virtual GT_GEOPrimCollectData * beginCollecting | ( | const GT_GEODetailListHandle & | ,
|  | const GT_RefineParms * | ) const
| virtual

## ◆ collect()

virtual GT_PrimitiveHandle collect | ( | const GT_GEODetailListHandle & | geometry,
|  | const GEO_Primitive *const * | prim_list,
|  | int | nsegments,
|  | GT_GEOPrimCollectData * | data ) const
| virtual

## ◆ endCollecting()

virtual GT_PrimitiveHandle endCollecting | ( | const GT_GEODetailListHandle & | geometry,
|  | GT_GEOPrimCollectData * | data ) const
| virtual

## ◆ registerPrimitive()

void registerPrimitive | ( | const GA_PrimitiveTypeId & | id | ) |
| static